package org.wcs.plugin.tcp.enums;

import lombok.Getter;

/**
 * Socket 状态枚举
 */
@Getter
public enum SocketStatusEnum {

    CREATE(0, "新创建"),
    CONNECTING(1, "正在连接"),
    CONNECTED(2, "已连接"),
    DISCONNECTING(3, "正在断开"),
    DISCONNECTED(4, "已断开"),
    ERROR(5, "错误"),
    UNKNOWN(-1, "未知");

    private final int code;
    private final String message;

    SocketStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }
}
